<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
	}
	section{
		height:100vh;
		width: 100vw;
		display: flex;
	}
	.text-area,.image-area{
		height:100%;
		flex:1;
		position: relative;
	}
	.text-area{
		background:#0080ff;
	}

	.pattern::before{
		content:'';
		position: absolute;
		height:100%;
		width: 100%;
		background:url('./bg.jpg') repeat;
		background-attachment: fixed;
		filter: invert(100%);
		mix-blend-mode: overlay;
		opacity: .17;
	}
	.hahah{
		margin:100px;
		height:300px;
		width: 500px;
		background:#0080ff;
		position: relative;
		display: flex;
	}
</style>
<body>
<section>
	<div class="text-area pattern"></div>
	<div class="image-area"></div>
	<div class="hahah pattern">adasd</div>

</section>
<section>
	<div style="width: 100%">
		<iframe width="100%" height="600" src="https://maps.google.com/maps?width=100%&amp;height=600&amp;hl=en&amp;q=1%20Grafton%20Street%2C%20Dublin%2C%20Ireland+(My%20Business%20Name)&amp;ie=UTF8&amp;t=&amp;z=14&amp;iwloc=B&amp;output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0">
		<a href="https://www.maps.ie/map-my-route/">
		Create route map</a>
	</iframe>



</div>
<br />
	<iframe width="420" height="315"
src="https://www.youtube.com/embed/XBy-lYxiyyc">
</iframe>
</section>
</body>
</html>